Skip to main content
POST
/
projects
/
{project_reference}
/
work
/
{work_id}
/
executions
/
{execution_id}
/
events
Create Work execution event
curl --request POST \
  --url https://api.veryfront.com/projects/{project_reference}/work/{work_id}/executions/{execution_id}/events \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "<string>",
  "actor_kind": "agent",
  "actor_id": "<string>",
  "payload": {}
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "work_execution_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "type": "<string>",
  "actor_id": "<string>",
  "payload": {},
  "created_at": "<string>",
  "updated_at": "<string>",
  "actor_name": "<string>",
  "actor_avatar_url": "<string>"
}

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required
work_id
string
required

Work identifier

Minimum string length: 1
Pattern: ^[A-Za-z0-9][A-Za-z0-9_-]*$
execution_id
string<uuid>
required

Work execution identifier

Body

application/json
type
string
required
Minimum string length: 1
actor_kind
enum<string>
default:agent
Available options:
user,
agent,
system,
tool
actor_id
string | null
payload
object

Response

Created Work execution event

id
string<uuid>
required
work_execution_id
string<uuid>
required
type
string
required
actor_kind
enum<string>
required
Available options:
user,
agent,
system,
tool
actor_id
string | null
required
payload
object
required
created_at
string
required
updated_at
string
required
actor_name
string | null
actor_avatar_url
string | null